[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Freeipa-devel] [PATCH] 515 F-14 compatibility patch



On 08/20/2010 04:20 PM, Rob Crittenden wrote:
F-14 introduced a number of changes including an updated krb5 server package and python 2.7.

In krb5 the binaries moved from /usr/kerberos/* to /usr/* so some paths need to be adjusted. What I did was include a PATH in the env that covers both of these locations.

Python 2.7 made some changes to xmlrpclib and httplib as well that aren't quite backwards compatible. I added some specific version checks so we can do the right thing internally.

This is ticket 155

rob
_______________________________________________ Freeipa-devel mailing list Freeipa-devel redhat com https://www.redhat.com/mailman/listinfo/freeipa-devel


I think that in the explicit path construction you do vic of line 115, you want the kerberos subpath libraries to come before /usr/bin, otherwise it will find the non-kerberized versions of the function.


I realize that testing on the Major/Minor is functional, but wouldn't it make more sense to test for the existanec of the newer call, use that if it was avaiable, as opposed to gating on version number?  Seems like it would be less prone to breakage.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]